Class | HttpServer::Table
In: | xmlrpc/httpserver.rb
Parent: | Object

a case-insensitive Hash class for HTTP header

### Methods

[] []= each new update writeTo

### Included Modules

Enumerable

### Public Class methods

new(hash={})

[Source]

    # File xmlrpc/httpserver.rb, line 84
        def initialize(hash={})
          @hash = hash
          update(hash)
        end

### Public Instance methods

[](key)

[Source]

    # File xmlrpc/httpserver.rb, line 89
        def [](key)
          @hash[key.to_s.capitalize]
        end

[]=(key, value)

[Source]

    # File xmlrpc/httpserver.rb, line 93
        def []=(key, value)
          @hash[key.to_s.capitalize] = value
        end

each() {|k.capitalize, v| ...}

[Source]

    # File xmlrpc/httpserver.rb, line 102
        def each
          @hash.each {|k,v| yield k.capitalize, v }
        end

update(hash)

[Source]

    # File xmlrpc/httpserver.rb, line 97
        def update(hash)
          hash.each {|k,v| self[k] = v}
          self
        end

writeTo(port)

[Source]

    # File xmlrpc/httpserver.rb, line 106
        def writeTo(port)
          each { |k,v| port << "#{k}: #{v}" << CRLF }
        end

[Validate]